FROM amazonlinux:2
RUN yum install -y centos-release-scl wget unzip
RUN /bin/bash -c "curl -sL https://rpm.nodesource.com/setup_12.x | bash -"
RUN yum install -y nodejs python3 python3-libs python3-devel python3-pip jq git
COPY locksmith/bin/locksmith-linux-amd64 /usr/local/bin/locksmith
RUN chmod +x /usr/local/bin/locksmith
RUN rm /usr/bin/python
RUN ln -s /usr/bin/python3 /usr/bin/python
RUN ln -s /usr/bin/pip3 /usr/bin/pip
RUN npm install -g aws-cdk@1.18.0
ENV LOCKSMITH_SHELL=/bin/bash
CMD ["locksmith"]
ENTRYPOINT ["/bin/bash", "-c"]