import setuptools

with open("README.md") as fp:
    long_description = fp.read()


setuptools.setup(
    name="env",
    author="author",
    version="0.1.0",
    description="A cdk project made with the Halloumi-cdk-cli",
    long_description=long_description,
    long_description_content_type="text/markdown",

    install_requires=[
        "aws-cloudwatch-log-minder==0.2.4",
        "aws-cdk.assets==1.19.0",
        "aws-cdk.core==1.19.0",
        "aws-cdk.aws_applicationautoscaling==1.19.0",
        "aws-cdk.aws-apigateway==1.19.0",
        "aws-cdk.aws_autoscaling==1.19.0",
        "aws-cdk.aws-autoscaling-common==1.19.0",
        "aws-cdk.aws-autoscaling-hooktargets==1.19.0",
        "aws-cdk.aws_certificatemanager==1.19.0",
        "aws-cdk.aws_codepipeline==1.19.0",
        "aws-cdk.aws_codepipeline_actions==1.19.0",
        "aws-cdk.aws-cloudformation==1.19.0",
        "aws-cdk.aws-cloudfront==1.19.0",
        "aws-cdk.aws_cloudwatch==1.19.0",
        "aws-cdk.aws_cloudwatch_actions==1.19.0",
        "aws-cdk.aws-codebuild==1.19.0",
        "aws-cdk.aws-codecommit==1.19.0",
        "aws-cdk.aws-codedeploy==1.19.0",
        "aws-cdk.aws_ec2==1.19.0",
        "aws-cdk.aws_ecr==1.19.0",
        "aws-cdk.aws-ecr-assets==1.19.0",
        "aws-cdk.aws_ecs==1.19.0",
        "aws-cdk.aws_efs==1.19.0",
        "aws-cdk.aws_elasticsearch==1.19.0",
        "aws-cdk.aws_elasticache==1.19.0",
        "aws-cdk.aws-elasticloadbalancing==1.19.0",
        "aws-cdk.aws_elasticloadbalancingv2==1.19.0",
        "aws-cdk.aws_events==1.19.0",
        "aws-cdk.aws_events_targets==1.19.0",
        "aws-cdk.aws_iam==1.19.0",
        "aws-cdk.aws-kms==1.19.0",
        "aws-cdk.aws_lambda==1.19.0",
        "aws-cdk.aws_logs==1.19.0",
        "aws-cdk.aws_rds==1.19.0",
        "aws-cdk.aws_route53==1.19.0",
        "aws-cdk.aws-route53-targets==1.19.0",
        "aws-cdk.aws_s3==1.19.0",
        "aws-cdk.aws-s3-assets==1.19.0",
        "aws-cdk.aws_s3_deployment==1.19.0",
        "aws-cdk.aws-sam==1.19.0",
        "aws-cdk.aws_secretsmanager==1.19.0",
        "aws-cdk.aws-servicediscovery==1.19.0",
        "aws-cdk.aws-sqs==1.19.0",
        "aws-cdk.aws_sns==1.19.0",
        "aws-cdk.aws_sns_subscriptions==1.19.0",
        "aws-cdk.aws_ssm==1.19.0",
        "aws-cdk.aws-stepfunctions==1.19.0",
        "aws-cdk.cx-api==1.19.0",
        "aws-cdk.region-info==1.19.0",
        "python-dotenv==0.10.3",
        "stringcase==1.2.0"
    ],

    python_requires=">=3.6",

    classifiers=[
        "Development Status :: 4 - Beta",

        "Intended Audience :: Developers",

        "License :: OSI Approved :: Apache Software License",

        "Programming Language :: JavaScript",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",

        "Topic :: Software Development :: Code Generators",
        "Topic :: Utilities",

        "Typing :: Typed",
    ],
)
